program rkmain
  use rkmod
  implicit none
  real(kind=dpkind),dimension(3) :: x
  real(kind=dpkind) :: max_t
  real(kind=dpkind),allocatable,dimension(:,:) :: r

  x = [0.5d0,0.5d0,0.5d0]
  max_t = 5d1
  call calc(x, max_t, r)
  print *, r
end program

